<template>
  <v-card>
    <v-row>
      <v-col cols="3">
        <v-img :src="item.img" />
      </v-col>
      <v-col>
        <v-card-title>{{ item.name }}</v-card-title>
        <v-card-subtitle>
          {{ '$' + item.price }}
          <br />
          Qty: {{ item.quantity }}
        </v-card-subtitle>
        <v-card-actions v-if="buttons">
          <v-btn :disabled="item.quantity <= 1" @click="decrementItem(item)">
            -
          </v-btn>
          <v-btn @click="incrementItem(item)">+</v-btn>
          <v-btn @click="removeItem(item)">Remove</v-btn>
        </v-card-actions>
      </v-col>
    </v-row>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    item: {
      type: Object,
      required: true,
    },
    buttons: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
  methods: {
    removeItem(item: any): void {
      this.$store.commit('cart/remove', item._id)
    },
    incrementItem(item: any): void {
      this.$store.commit('cart/increment', item._id)
    },
    decrementItem(item: any): void {
      this.$store.commit('cart/decrement', item._id)
    },
  },
})
</script>
